
Foreman - Tracker #4447

Support installation on RHEL 7

02/25/2014 02:45 PM - Dominic Cleal

Status: Closed % Done: 100%

Priority: Normal   

Assignee: Dominic Cleal   

Category: Packaging   

Target version: 1.6.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Description

Tracking issues required to run Foreman, including the installer, on RHEL 7.  Note that it is already possible to provision RHEL 7

hosts using kickstart from a Foreman instance on other operating system versions.

Related issues:

Related to Packaging - Refactor #6016: Convert foreman sysvinit script to sys... Closed

Blocked by Foreman - Feature #3199: Update Passenger RPM Closed

Blocked by Packaging - Feature #4451: Build all ruby193 dependencies for EL7 Closed 02/25/2014

Blocked by Packaging - Feature #4452: Build all non-SCL dependencies for EL7 Closed 02/25/2014

Blocked by Foreman - Feature #4453: Update Foreman source packages for EL7 Closed 02/25/2014

Blocked by Installer - Feature #4454: Test and update installer for EL7 Closed 02/25/2014

Blocked by SELinux - Bug #6013: AVC denials from Passenger on Foreman 1.6 on EL7 Closed 06/02/2014

Blocked by SELinux - Bug #6014: AVC denials from Puppet under Passenger on Fo... Closed 06/02/2014

History

#1 - 02/25/2014 02:46 PM - Dominic Cleal

- Blocked by Feature #3199: Update Passenger RPM added

#2 - 02/25/2014 05:13 PM - Dominic Cleal

- Blocked by Feature #4451: Build all ruby193 dependencies for EL7 added

#3 - 02/25/2014 05:15 PM - Dominic Cleal

- Blocked by Feature #4452: Build all non-SCL dependencies for EL7 added

#4 - 02/25/2014 05:17 PM - Dominic Cleal

- Blocked by Feature #4453: Update Foreman source packages for EL7 added

#5 - 02/25/2014 05:20 PM - Dominic Cleal

- Blocked by Feature #4454: Test and update installer for EL7 added

#6 - 03/11/2014 01:38 PM - Anonymous

- Tracker changed from Tracker to Feature

#7 - 04/24/2014 12:19 PM - Anonymous

- Target version set to 1.8.3

#8 - 05/07/2014 09:25 AM - Dominic Cleal

I've requested assistance getting RHEL 7 build targets and RHSCL available on koji.

#9 - 05/07/2014 05:54 PM - Dominic Cleal

- Status changed from New to Assigned
- Assignee set to Dominic Cleal

#10 - 05/19/2014 12:47 PM - Dominic Cleal

- Target version changed from 1.8.3 to 1.8.2

#11 - 06/02/2014 03:34 PM - Dominic Cleal

- Blocked by Bug #6013: AVC denials from Passenger on Foreman 1.6 on EL7 added

#12 - 06/02/2014 03:34 PM - Dominic Cleal

- Blocked by Bug #6014: AVC denials from Puppet under Passenger on Foreman 1.6 on EL7 added

#13 - 06/02/2014 03:51 PM - Dominic Cleal

- Related to Refactor #6016: Convert foreman sysvinit script to systemd unit added

#14 - 06/06/2014 09:50 AM - Dominic Cleal

- translation missing: en.field_release set to 10

Packages are now being pushed to http://yum.theforeman.org/nightly/el7/x86_64/ and http://yum.theforeman.org/plugins/nightly/el7/x86_64/.

#15 - 06/11/2014 02:56 PM - Anonymous

- Target version changed from 1.8.2 to 1.8.1

#16 - 07/07/2014 07:20 AM - Anonymous

- Target version changed from 1.8.1 to 1.8.0

#17 - 07/30/2014 06:48 AM - Anonymous

- Target version changed from 1.8.0 to 1.7.5

#18 - 07/30/2014 08:55 AM - Dominic Cleal

- Tracker changed from Feature to Tracker

#19 - 08/13/2014 03:09 AM - Dominic Cleal

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Foreman 1.6.0 will fully support RHEL 7 to the best of our knowledge.  Please file new tickets if you come across any issues.

CentOS and Scientific Linux 7 are currently unsupported as SCL is unavailable, but we're keeping a close eye on developments in these communities

and at softwarecollections.org, and hope perhaps to soon recommend use of scl.org as a source after testing.
